## nut 2.7.4

=== scripts/Windows/Makefile ===
halt:	halt.c
	gcc -mwindows -mno-cygwin -s -o halt.exe halt.c
