=== debian/changelog ===
nut (2.7.4-5.1ubuntu2) bionic; urgency=medium

  * Drop change which is no more needed, thereby fixes systemd integration
    and the availability of /lib/systemd/system-shutdown/nutshutdown
    (LP: #1603609)
    - Disable systemd unit; it does not check nut.conf whether nut is
      configured, and thus fails to start (and the package install).  The
      init.d script works well enough for the time being.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 15 Nov 2017 16:47:10 +0100

nut (2.7.4-5.1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - remove Build-Depends on libpowerman0-dev
    - remove nut-powerman-pdu
      + debian/nut-powerman-pdu.{install,manpages}: dropped for now
    - debian/nut-{cgi,server}.postinst: fix 'adduser' logic to be
      unconditional, since adduser is guaranteed to be idempotent.
    - debian/source_nut.py, debian/{nut,nut-server,nut-client}.install,
      debian/rules: Install apport hooks for all top-level nut packages.
    - Disable systemd unit; it does not check nut.conf whether nut is
      configured, and thus fails to start (and the package install).  The
      init.d script works well enough for the time being.
    - debian/tests/test-nut.py: in the CVE_2012_2944 test, give nut at most
      + 5 seconds to shut down, instead of expecting it to be shut down
        immediately after sending the killall.
      + Additional indication on how to run tests for xenial+
    - debian/tests/control : Fix dep8 test failures:
       + Drop python-unit from dep8 dependencies since the python-test
         package has now been removed. The unittest module has shipped with
         Python since 2.1.
       + Add dep8 test dependency on python, since Python 2 is required and
         is not necessarily installed by default any more.
    - debian/libnutclient0.symbols: Correct symbols file for ppc64el.
    - fix cflags/ldflags mismatch (LP #1711092)
  * Drop:
    - udevd is called systemd-udevd (LP #1540008)
      [ Fixed in Debian 2.7.4-5.1 ]
    - d/libnutclient0.symbols: fix symbols in regard to gcc-7
      (LP #1711091)
      [ Fixed in Debian 2.7.4-5.1 ]

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 03 Nov 2017 16:34:18 -0700

nut (2.7.4-5.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Laurent Bigonville ]
  * debian/nut-server.postinst: The udevd process is called systemd-udevd for
    quite sometimes already, properly detect whether it's running or not, this
    should fix the devices permissions for USB UPS's (LP: #1540008)
  * debian/rules: Mask ups-monitor, this is not a real LSB initscript but it's
    a symlink to the nut-client one. The purpose of this was to offer a common
    interface to shutdown the UPS in case of power loss, this is not necessary
    with systemd as this functionality is handeled by the
    /lib/systemd/system-shutdown/nutshutdown script now.

  [ Michael Stapelberg ]
  * Update symbols file for gcc-7 (Closes: #853579)

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 23 Aug 2017 22:24:57 +0200

nut (2.7.4-5ubuntu4) artful; urgency=medium

  * d/p/fix-snmp-driver-compile-options.patch: fix cflags/ldflags
    mismatch (LP: #1711092).
  * d/libnutclient0.symbols: fix symbols in regard to gcc-7 (LP: #1711091).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 16 Aug 2017 12:44:26 +0200

nut (2.7.4-5ubuntu3) artful; urgency=medium

  * debian/nut-server.postinst: The udevd process is called systemd-udevd
    for quite sometimes already, properly detect whether it's running or not,
    this should fix the devices permissions for USB UPS's (LP: #1540008).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 09 Aug 2017 10:16:38 +0200

nut (2.7.4-5ubuntu2) zesty; urgency=medium

  * debian/libnutclient0.symbols: Correct symbols file for ppc64el.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 17 Feb 2017 05:38:03 -0700

nut (2.7.4-5ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes (LP: #1643618)
    - debian/control:
      + remove Build-Depends on libpowerman0-dev
      + remove nut-powerman-pdu
    - debian/nut-powerman-pdu.{install,manpages}: dropped for now
    - debian/nut-{cgi,server}.postinst: fix 'adduser' logic to be
      unconditional, since adduser is guaranteed to be idempotent.
    - debian/source_nut.py, debian/{nut,nut-server,nut-client}.install,
      debian/rules: Install apport hooks for all top-level nut packages.
    - Disable systemd unit; it does not check nut.conf whether nut is
      configured, and thus fails to start (and the package install).  The
      init.d script works well enough for the time being.
    - debian/tests/test-nut.py:
      + In the CVE_2012_2944 test, give nut at most 5 seconds to shut down,
        instead of expecting it to be shut down immediately after sending the
        killall.
      + Additional indication on how to run tests for oneiric, precise to
        vivid and wily+
    - debian/tests/control : Fix dep8 test failures:
      + Drop python-unit from dep8 dependencies since the python-test
        package has now been removed. The unittest module has shipped with
        Python since 2.1.
      + Add dep8 test dependency on python, since Python 2 is required and
        is not necessarily installed by default any more.
  * Dropped changes:
    - Patch libtool.m4 and configure to support ppc64le. (Fixed upstream)
    - Remove unnecessary chmod 755 on files introduced by previous merge,
      assumed to be an error
    - debian/patches/0006-ups-conf-maxretry.patch: documentation tweaks
      (unnecessary Ubuntu delta). This was formerly listed as "Move maxretry
      setting above Examples section" but no longer did this at all.
  * Replace outdated indictions on how to run tests (Oneric, Precise, Vivid,
    Wily+) with proper indications for current version (Xenial+)


