=== debian/tests/control ===
Tests: nut
Depends: nut-server, nut-client, python, lsb-release, netcat
Restrictions: needs-root
