=== debian/watch ===
version=3
http://www.networkupstools.org/download.html .*/nut-(.*)\.tar\.(?:gz|bz2|xz)
