## nut 2.8.0

=== debian/changelog ===
nut (2.8.0-7~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 04 Aug 2024 18:31:46 -0700

nut (2.8.0-7) unstable; urgency=medium

  * debian/tests/test-nut.py: Skip the flaky tests for now.
    That will hopefully allow us to ship nut for bookworm
    Thanks to Athos Ribeiro <athos.ribeiro@canonical.com> (Closes: #1023530)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 25 Jan 2023 10:27:30 +0100

nut (2.8.0-6) unstable; urgency=medium

  * debian/patches/appdata-launchable.patch: Add launchable tag
  * debian/tests/test-nut.py: Increase sleep after starting drivers.
    The tests are flaky on some architectures, try to wait a bit longer that
    the driver starts. (Closes: #1023530)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 31 Dec 2022 13:34:23 +0100

nut (2.8.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libfreeipmi-dev,
      libipmimonitoring-dev, libpowerman0-dev, libusb-1.0-0-dev and
      libwrap0-dev.
    + Build-Depends-Indep: Drop versioned constraint on asciidoc and dblatex.
    + nut-server: Drop versioned constraint on lsb-base in Depends.
    + nut-client: Drop versioned constraint on lsb-base in Depends.
    + nut-snmp: Drop versioned constraint on nut in Depends.
    + nut-ipmi: Drop versioned constraint on nut in Depends.
    + nut-xml: Drop versioned constraint on nut in Depends.
    + nut-powerman-pdu: Drop versioned constraint on nut and powerman in
      Depends.
    + Remove 1 maintscript entries from 1 files.

  [ Laurent Bigonville ]
  * debian/nut-client.lintian-overrides: Override init-script-is-not-a-file
  * Make sure that the installed manpages are built from the sources
  * debian/control: Make sure the drivers depend against the server version
  * debian/control: Make libups-nut-perl and nut-doc as M-A foreign

 -- Laurent Bigonville <bigon@debian.org>  Wed, 02 Nov 2022 12:32:35 +0100

nut (2.8.0-4) unstable; urgency=medium

  * Add debian/salsa-ci.yml for automated tests in salsa
  * debian/tests/test-nut.py: set SYSTEMCTL_SKIP_REDIRECT to 1.
    The behaviour of the upstream systemd services has changed breaking the
    existing tests. This is a quick fix for the tests so they use the sysv
    initscript instead of the systemd services. (Closes: #1019221)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 19 Oct 2022 22:31:38 +0200

nut (2.8.0-3) unstable; urgency=medium

  * Drop the debian/libnutclient2.symbols file entierly, managing a .symbols
    file for C++ libraries is a nightmare. Generate a shlibs file with strong
    dependency instead (Closes: #1017392)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 25 Sep 2022 09:23:50 +0200

nut (2.8.0-2) unstable; urgency=medium

  * debian/libnutclient2.symbols: Update the symbols file, again

 -- Laurent Bigonville <bigon@debian.org>  Sun, 14 Aug 2022 22:53:38 +0200

nut (2.8.0-1) unstable; urgency=medium

  [ Yifeng Li ]
  * New upstream release (Closes: #1014287)
    - This is the first update in the past 6 years since 2016, and
      includes a huge number of fixes, changes, and new device support.
    - New serial, I2C and Modbus drivers.
    - Driver oldmge-shut has been removed, and replaced by mge-shut.
    - New systemd integration, nut-driver.target, nut-driver@instances,
      and nut-driver-enumerator are now used to manage drivers.
    - Support libusb 1.0 (Closes: 810449)
    - Python library PyNUT and the NUT-Moniter GUI has been upgraded to
      Python 3.
    - API/ABI changes in libnutclient2, libnutscan and libupsclient.
    - Fixed POWEROFF_WAIT option on systemd. (Closes: #835634)

  [ Daniel Shahaf ]
  * README.Debian: Trivial typo fix (Closes: #862982)

  [ Laurent Bigonville ]
  * debian/watch: Update the URL and add support for RC releases
  * debian/control: Use ${python3:Depends} instead of hardcoding python3
    dependency
  * debian/control: BD against libusb-1.0-0-dev instead of libusb-dev
  * debian/patches/0001-reproductible-build.patch: Refreshed
  * debian/patches/: Drop all patches merged upstream
  * debian/nut-server.lintian-overrides: Update to properly override
    udev-rule-missing-subsystem
  * debian/rules: Build the package in parallel
  * debian/rules: Fix links to the shared libraries for the -dev packages
  * debian/control: Add libavahi-client-dev and libavahi-core-dev to the BD
  * Override systemd-service-file-refers-to-unusual-wantedby-target for
    nut-client and nut-server packages
  * Install the nut.target file in the nut-client package
  * Install nut-driver-enumerator.sh in /usr/libexec/
  * debian/*.symbols: Add Build-Depends-Package field
  * debian/libnutclient2.symbols: Run through c++filt to make symbols readable
  * Properly install the icons and other UI data for nut-monitor
  * debian/libnutclient2.symbols: Adjust the symbols file for architecture
    specific symbols
  * debian/control: Mark python3 BD with :any, that should fix cross-compilation

 -- Laurent Bigonville <bigon@debian.org>  Sun, 14 Aug 2022 18:58:07 +0200

nut (2.7.4-14) unstable; urgency=medium

  [ Jeremy Sowden ]
  * d/patches: add patch to fix FTBFS with g++-11 (closes: #984260)

  [ Laurent Bigonville ]
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)
  * debian/source_nut.py: Change the shebang to python3

 -- Laurent Bigonville <bigon@debian.org>  Sat, 06 Nov 2021 18:41:33 +0100

nut (2.7.4-13) unstable; urgency=medium

  [ Arnaud Quette ]
  * Retirement of Arnaud Quette from the Debian project

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit (from ./configure),
    Name (from ./configure), Repository, Repository-Browse.

  [ Sergio Durigan Junior ]
  * d/libnutclient0.symbols: Update file, and fix FTBFS. (Closes: #957614)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 15 Oct 2020 12:16:34 +0200

nut (2.7.4-12) unstable; urgency=medium


